Retrieve a qualification route
Retrieves the details of an existing qualification route.
curl --request GET \
--url https://api.yorlet.com/v1/leads/qualification_routes/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/leads/qualification_routes/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/leads/qualification_routes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/leads/qualification_routes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/leads/qualification_routes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/leads/qualification_routes/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/leads/qualification_routes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "leads.qualification_route",
"active": true,
"conditions": {
"portal_types": [
"rightmove"
],
"sources": [
"email"
],
"units": [
"<string>"
]
},
"description": "<string>",
"name": "<string>",
"notification": {
"type": "email"
},
"priority": 123,
"qualification_configuration": {
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
},
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns a qualification route object if a valid identifier was provided.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
leads.qualification_route Whether the route is evaluated against new enquiries.
Match conditions for this route. Unset or empty lists match any value.
Show child attributes
Show child attributes
An arbitrary description attached to the object.
The name of the qualification route.
Notification preferences applied when this route matches a new enquiry.
Show child attributes
Show child attributes
Evaluation order. Lower values are matched first.
The qualification configuration attached when this route matches.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.yorlet.com/v1/leads/qualification_routes/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/leads/qualification_routes/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/leads/qualification_routes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/leads/qualification_routes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/leads/qualification_routes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/leads/qualification_routes/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/leads/qualification_routes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "leads.qualification_route",
"active": true,
"conditions": {
"portal_types": [
"rightmove"
],
"sources": [
"email"
],
"units": [
"<string>"
]
},
"description": "<string>",
"name": "<string>",
"notification": {
"type": "email"
},
"priority": 123,
"qualification_configuration": {
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
},
"account": "<string>",
"deleted": false,
"metadata": {}
}